/**
 * 分享
 */
function shareAppMessage(title,desc,url,imageUrl){
	 $.ajax({  
	        url: $("#contextPath").val()+"/wechat/visitor/fenxiang",  
	        type: "POST",  
	        async:true,  
	        cache: false,  
	        dataType: "json",
	        data:{url:location.href.split('#')[0],developId:$("#developId").val()},
	        success: function(data){
	        	 wx.config({
	     		    debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
	     		    appId: data.appid, // 必填，公众号的唯一标识
	     		    timestamp:data.timestamp, // 必填，生成签名的时间戳
	     		    nonceStr:data.nonceStr, // 必填，生成签名的随机串
	     		    signature: data.signature,// 必填，签名，见附录1
	     		    jsApiList: [ 'checkJsApi',   
	     		                  'hideOptionMenu',
	     		                  'onMenuShareAppMessage',
	     		                  'hideMenuItems',
	     		                  'onMenuShareTimeline'] // 必填，需要使用的JS接口列表，所有JS接口列表见附录2
	     		});
	        	 wx.ready(function(){
		 	 			wx.checkJsApi({  
		 	             jsApiList: [   
		 	               'onMenuShareAppMessage',
		 	               'hideMenuItems',
		 	               'onMenuShareTimeline'
		 	             ],  
		 	             success: function (res) {  
		 	               //alert(res.errMsg);  
		 	             }
		 	 		});
	 	 			
	 	 			wx.hideMenuItems({
	 	 			    menuList: ['menuItem:share:qq'
	 	 			               ,'menuItem:share:weiboApp','menuItem:favorite','menuItem:share:QZone',
	 	 			               'menuItem:copyUrl','menuItem:openWithQQBrowser','menuItem:openWithSafari',
	 	 			               'menuItem:share:email'] // 要隐藏的菜单项，只能隐藏“传播类”和“保护类”按钮，所有menu项见附录3
	 	 			});
	 	 			wx.onMenuShareAppMessage({
	 	 				title:title,
	 	 				desc:desc,
	 	 				link:url,
	 	 				imgUrl:imageUrl
	 	 			});
	 	 			wx.onMenuShareTimeline({
	 	 				title:title,
	 	 				desc:desc,
	 	 				link:url,
	 	 				imgUrl:imageUrl
	 	 			});
	        	 });
	 	 
	 	 wx.error(function(res){
	 			wx.hideOptionMenu();
	 		});
	        }
	 });
}
